Skip to content

Get Shopee Product

GET /public/shopee/product

Fetches products from a connected Shopee seller account. The response includes each product's id, name, and image, which you can use before attaching or publishing related content.

Endpoint Details

  • Authentication: Basic Auth (Authorization: Basic Base64(AccessKey:SecretKey))
  • Access Tier: Premium+

Parameters

ParameterTypeRequiredDescription
accountIdstringYesThe unique ID of the account.
nextTokenstringNoPagination cursor returned in the previous response, used to fetch the next page of results.

Example Request

bash
curl -X GET "https://api.repliz.com/public/shopee/product?accountId=680affa5ce12f2f72916f67e&nextToken=06584df0146aabfc81fae7ae34ca55099f88ca8f6b7bf3b7b5521a422dc54fc07d86c9751523a501861d6b15228cd68b" \
  -H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"
javascript
import axios from 'axios';

const response = await axios.get('https://api.repliz.com/public/shopee/product', {
  params: {
    accountId: '680affa5ce12f2f72916f67e',
    nextToken: '06584df0146aabfc81fae7ae34ca55099f88ca8f6b7bf3b7b5521a422dc54fc07d86c9751523a501861d6b15228cd68b'
  },
  auth: {
    username: 'YOUR_ACCESS_KEY',
    password: 'YOUR_SECRET_KEY'
  }
});

console.log(response.data);
javascript
const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY');

const response = await fetch('https://api.repliz.com/public/shopee/product?accountId=680affa5ce12f2f72916f67e&nextToken=06584df0146aabfc81fae7ae34ca55099f88ca8f6b7bf3b7b5521a422dc54fc07d86c9751523a501861d6b15228cd68b', {
  headers: {
    'Authorization': `Basic ${credentials}`
  }
});

const data = await response.json();
console.log(data);

Response

json
{
  "docs": [
    {
      "id": "43728134810",
      "name": "Foto Nikola Tesla",
      "thumbnail": "https://cf.shopee.co.id/file/id-11134207-8224x-mjobdglo1oubf4",
      "currency": "IDR",
      "price": 10000,
      "accountId": "6a0d6db9be40ade37ebf0bd0"
    },
    {
      "id": "50060886180",
      "name": "Apply Meta",
      "thumbnail": "https://cf.shopee.co.id/file/id-11134207-822wh-moho65xqkn4ca1",
      "currency": "IDR",
      "price": 100000,
      "accountId": "6a0d6db9be40ade37ebf0bd0"
    }
  ],
  "nexToken": ""
}
json
{
  "code": 401,
  "message": "unauthorized"
}